
Foreman - Bug #6832

Editing host with no organization/location shows first instead of blank

07/30/2014 05:36 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1124435 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2035

  

Description

When editing a host with no org/loc set, the first org/loc will be shown in the dropdown list giving the mistaken impression that it has

these set.  Viewing the host and looking at the properties widget gives an accurate answer.

Related issues:

Related to Foreman - Bug #6226: if only one option for required field on new ... New 06/15/2014

Related to Foreman - Bug #6814: On New Host form, changing location/organizat... New 07/29/2014

Associated revisions

Revision 65292474 - 01/05/2015 09:28 AM - Tomer Brisker

Fixes #6832 - Don't show location/organization on host edit page if host has none

Revision d8f79a65 - 01/13/2015 08:45 AM - Dominic Cleal

refs #6832 - prevent extraction of string interpolation

History

#1 - 07/30/2014 05:36 AM - Dominic Cleal

- Bugzilla link set to 1124435

#2 - 07/30/2014 05:37 AM - Dominic Cleal

- Related to Bug #6226: if only one option for required field on new host page (ex. installation media), then automatically select it added

#3 - 07/30/2014 06:08 AM - Ohad Levy

- Related to Bug #6814: On New Host form, changing location/organization should update all dropdown boxes whether they are already selected or

not added

#4 - 12/24/2014 03:26 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#5 - 12/24/2014 03:54 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2035 added

- Pull request deleted ()

#6 - 12/24/2014 03:59 AM - Tomer Brisker

- Target version set to 1.7.2

#7 - 01/05/2015 09:29 AM - Dominic Cleal
- translation missing: en.field_release set to 28

#8 - 01/05/2015 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 65292474dcf224acf68d3b23741548553bf34629.
